as.data.frame.planordesign {planor} | R Documentation

## Data Frame Coercion

### Description

Method to extract the dataframe containing the final design from a `planordesign` object, i.e the slot `design`. The other slots are stored in attributes.

### Usage

    ## S4 method for signature 'planordesign'
    as.data.frame(x, ...)

### Arguments

`x` | an object of class `planordesign`.
`...` | ignored.

### Value

A data frame with attributes `factors`, `model`, `designkey`, `nunits`, `recursive`.

### Examples

    ### Creation of a planordesign object
    K0 <- planor.designkey(factors=c("R","C","U","A","B1","B2"),
     nlevels=c(3,2,2,3,2,2), model=~R*C + (A+B1+B2)^2, estimate=~A:B1+A:B2,
     nunits=12, base=~R+C+U, max.sol=2)
    P0 <- planor.design(key=K0, select=1)
    ### Convert into a data frame
    D0 <- as.data.frame(P0)

[Package planor version 1.5-1 Index]